CFD Online Discussion Forums

CFD Online Discussion Forums (
-   OpenFOAM Running, Solving & CFD (
-   -   case in 1.5 can not run in 1.5-dev? (

waynezw0618 June 23, 2009 05:47

case in 1.5 can not run in 1.5-dev?
Hi everyone

i find the case which run in 1.5 ,can`t run in 1.5-dev .when use preconditioner such as

pcorr PCG
preconditioner GAMG
tolerance 1e-3;
relTol 0;

smoother GaussSeidel;
nPreSweeps 0;
nPostSweeps 2;
nBottomSweeps 2;

cacheAgglomeration false;
nCellsInCoarsestLevel 10;
agglomerator faceAreaPair;
mergeLevels 1;

tolerance 1e-4;
relTol 0;
maxIter 100;

the error messages show as:

keyword agglomerator is undefined in dictionary ""

file: from line 0 to line 0.

From function dictionary::lookupEntry(const word& keyword) const
in file db/dictionary/dictionary.C at line 213.

FOAM exiting

i have test the MRFSimpleFOAM ,inderDyMFoam...
can any one tell me why?


henrik July 20, 2009 05:57


the extract from fvSolution contains settings for the enhanced linear solvers in OF 1.5-ext which do not exist in OF 1.5.

Are you running 1.5 or 1.5-ext on this file?


All times are GMT -4. The time now is 00:07.